Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyCurrent_var Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::PolicyCurrent_var:

[legend]
Collaboration diagram for CORBA::PolicyCurrent_var:

[legend]
List of all members.

## Public Methods
| PolicyCurrent_var (void)
| PolicyCurrent_var (PolicyCurrent_ptr p)
| PolicyCurrent_var (const PolicyCurrent_var &)
| ~PolicyCurrent_var (void)
PolicyCurrent_var & | operator= (PolicyCurrent_ptr)
PolicyCurrent_var & | operator= (const PolicyCurrent_var &)
PolicyCurrent_ptr | operator-> (void) const
| operator const PolicyCurrent_ptr & () const
| operator PolicyCurrent_ptr & ()
PolicyCurrent_ptr | in (void) const
PolicyCurrent_ptr & | inout (void)
PolicyCurrent_ptr & | out (void)
PolicyCurrent_ptr | _retn (void)
PolicyCurrent_ptr | ptr (void) const
## Static Public Methods
PolicyCurrent_ptr | tao_duplicate (PolicyCurrent_ptr)
void | tao_release (PolicyCurrent_ptr)
PolicyCurrent_ptr | tao_nil (void)
PolicyCurrent_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| PolicyCurrent_var (const TAO_Base_var &rhs)
PolicyCurrent_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
PolicyCurrent_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::PolicyCurrent_var::PolicyCurrent_var | ( | void |  | ) |

CORBA::PolicyCurrent_var::PolicyCurrent_var | ( | PolicyCurrent_ptr | p | ) | `[inline]`

CORBA::PolicyCurrent_var::PolicyCurrent_var | ( | const PolicyCurrent_var & |  | ) |

CORBA::PolicyCurrent_var::~PolicyCurrent_var | ( | void |  | ) |

CORBA::PolicyCurrent_var::PolicyCurrent_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

PolicyCurrent_ptr CORBA::PolicyCurrent_var::_retn | ( | void |  | ) |

PolicyCurrent_ptr CORBA::PolicyCurrent_var::in | ( | void |  | ) | const

PolicyCurrent_ptr& CORBA::PolicyCurrent_var::inout | ( | void |  | ) |

CORBA::PolicyCurrent_var::operator const PolicyCurrent_ptr & | ( |  | ) | const

CORBA::PolicyCurrent_var::operator PolicyCurrent_ptr & | ( |  | ) |

PolicyCurrent_ptr CORBA::PolicyCurrent_var::operator-> | ( | void |  | ) | const

PolicyCurrent_var& CORBA::PolicyCurrent_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

PolicyCurrent_var& CORBA::PolicyCurrent_var::operator= | ( | const PolicyCurrent_var & |  | ) |

CORBA::PolicyCurrent_var & CORBA::PolicyCurrent_var::operator= | ( | PolicyCurrent_ptr | p | ) |

PolicyCurrent_ptr& CORBA::PolicyCurrent_var::out | ( | void |  | ) |

CORBA::PolicyCurrent_ptr CORBA::PolicyCurrent_var::ptr | ( | void |  | ) | const

PolicyCurrent_ptr CORBA::PolicyCurrent_var::tao_duplicate | ( | PolicyCurrent_ptr |  | ) | `[static]`

PolicyCurrent_ptr CORBA::PolicyCurrent_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

PolicyCurrent_ptr CORBA::PolicyCurrent_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::PolicyCurrent_var::tao_release | ( | PolicyCurrent_ptr |  | ) | `[static]`

CORBA::Object* CORBA::PolicyCurrent_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

PolicyCurrent_ptr CORBA::PolicyCurrent_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp